FROM debian:12
RUN true
RUN apt-get update && apt-get upgrade -y && apt-get clean
RUN apt-get install -y supervisor apache2 php libapache2-mod-php php-mbstring php-zip curl git openscad zip cmake build-essential php-opcache wget
RUN apt-get clean
RUN chown -R www-data:www-data /var/www
ADD htmlq /usr/local/bin/
ADD openscad_installer /tmp/
RUN /tmp/openscad_installer
WORKDIR /opt
RUN git clone https://github.com/jschobben/colorscad
WORKDIR /opt/colorscad/3mfmerge/build
RUN pwd; ls;ls ..
RUN cmake .. -DLIB3MF_TESTS=OFF
RUN cmake --build .
WORKDIR /opt/colorscad/test
RUN ./run.sh
RUN ln -s /opt/colorscad/colorscad.sh /usr/local/bin/
RUN ln -s /opt/colorscad/3mfmerge /usr/local/bin/
USER 33:33
WORKDIR /var/www
RUN mkdir -p /var/www/html
RUN rm -rf /var/www/html/*
RUN ln -s /var/www/src/index.php /var/www/html/index.php
ADD logo.png /var/www/html/logo.png
RUN mkdir queue
RUN git clone https://git.c3re.de/dirk/AuerNameTag.git
ADD supervisord.conf /etc/supervisor/conf.d/supervisord.conf
ADD src /var/www/src
USER root
CMD ["/usr/bin/supervisord", "-c" , "/etc/supervisor/conf.d/supervisord.conf"]
